[Dell XPS 13 9360] Mouse cursor flickers with one external monitor connected via HDMI+Wavlink WL-UG39DK1V

Bug #1724307 reported by Stephan Fabel
30
This bug affects 4 people
Affects Status Importance Assigned to Milestone
xorg-server (Ubuntu)
Undecided
Unassigned

Bug Description

When I connect my laptop to my DisplayLink based device with USB (Wavlink universal USB 3.0 docking station https://www.wavlink.com/en/product/150 WL-UG39DK1V), and connect the Wavlink to my AOC E2775SJ Monitor via HDMI, the mouse icon flickers as per the following video:
https://launchpadlibrarian.net/346625588/20171121_131417.mp4

Only if the mouse is on the laptop monitor, it can vanish for several minutes, but remains active.

Animations/overlays or typing inside a Chrome window causes the mouse pointer to flicker more often. If there is no interaction or animation, the mouse pointer remains static and drawn.

Monitor 1: 1920 x 1080 - Laptop's Native Monitor
Monitor 2: 1920 x 1080 - DisplayLink (USB) connected AOC E2775SJ Monitor

This issue doesn't happen if I don't connect my laptop to an external monitor via the Wavlink device.

This issue is reproducible with DisplayLink driver 1.4, and 1.3.54.

This issue is reproducible with Ubuntu 16.04, 17.04, and 17.10 x64.

I've reported this to DisplayLink via:
https://displaylink.org/forum/showthread.php?p=84713#post84713

WORKAROUND: Use GNOME Flashback (Metacity) session.

WORKAROUND: In the GUI go to All Settings > Screen Display > for the primary monitor change Rotation from Normal to any of the following:
Clockwise
Anti-clockwise
180 degrees

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xorg 1:7.7+13ubuntu3
ProcVersionSignature: Ubuntu 4.10.0-37.41~16.04.1-generic 4.10.17
Uname: Linux 4.10.0-37-generic x86_64
.tmp.unity_support_test.0:

ApportVersion: 2.20.1-0ubuntu2.10
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Tue Oct 17 10:01:55 2017
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation Device [8086:5917] (rev 07) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:082a]
InstallationDate: Installed on 2017-10-16 (0 days ago)
InstallationMedia: Ubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64 (20170801)
MachineType: Dell Inc. XPS 13 9360
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-37-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/18/2017
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 2.2.1
dmi.board.name: 05FPM2
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr2.2.1:bd08/18/2017:svnDellInc.:pnXPS139360:pvr:rvnDellInc.:rn05FPM2:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: XPS 13 9360
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.12.2+16.04.20160823-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.76-1~ubuntu16.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 17.0.7-0ubuntu0.16.04.2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 17.0.7-0ubuntu0.16.04.2
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A
xserver.bootTime: Tue Oct 17 09:39:15 2017
xserver.configfile: default
xserver.errors: modeset(G0): glamor initialization failed
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 5193
 vendor SHP
xserver.version: 2:1.19.3-1ubuntu1~16.04.3

Revision history for this message
Stephan Fabel (sfabel) wrote :
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Stephan Fabel, thank you for reporting this and helping make Ubuntu better.

To clarify:
1) What is the full manufacturer and model of the DisplayLink adapter?
2) Did this issue occur with a prior version of the DisplayLink driver?
3) Did this issue start to occur after a Ubuntu package update?
4) Does this issue occur if you connect the monitor to the laptop without using the DisplayLink adapter?
5) To see if this is already resolved in Ubuntu, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

Changed in xorg (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
tags: added: latest-bios-2.2.1
Revision history for this message
Stephan Fabel (sfabel) wrote :

Hi Christopher,

1) it's a WAVLINK USB 3.0 Dual Video Docking Station containing the DisplayLink technology: http://a.co/aifGl8J

2) This issue occurred with a previous version of the DisplayLink driver (1.3.54) as well.

3) This issue occurred with 17.04, 17.10 (as of yesterday) and now 16.04, all x64.

4) I am using a DELL XPS 13 and have no other means of attaching an external monitor :-(

5) see (3), this happens also as of the latest cut of 17.10.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Stephan Fabel, to follow up:
1) Are connecting the Wavlink device to the external monitor via DVI?
2) If you don't connect the Wavlink device to the laptop, do the mouse symptoms ever occur?
3) When you say it occurred with Ubuntu 17.04, 17.10, and 16.04 x64, this is you personally testing all of these on your Dell XPS 13 9360?
4) When you state Google Chrome aggrevates the issue, what do you mean precisely?
5) To confirm the symptoms, when everything is connected, the mouse flickers on both screens. However, it can disappear on both or only the laptop monitor for several minutes at a time?

description: updated
tags: added: artful zesty
Revision history for this message
Stephan Fabel (sfabel) wrote :

1) The DVI connection doesn't work at all. This is through HDMI.

2) No. This only occurs if an external monitor is attached through the Wavlink.

3) Yes, that's correct.

4) Seems like animations/overlays or typing inside a Chrome window causes the mouse pointer to flicker more aggressively than not. If there is _no_ interaction or animation, the mouse pointer remains static and drawn.

5) No; the external monitor never has the mouse pointer vanishing entirely. That only happens on the internal monitor.

description: updated
Changed in xorg (Ubuntu):
status: Incomplete → Triaged
Revision history for this message
Wei Cai (rdchris2911) wrote :

Hi all,

I have the exact same issue on my primary monitor.

Alienware Alpha R2
Primary monitor connected to Nvidia GTX 960
Secondary monitor connected to Startech USB32HD4K (Displaylink Driver)
Ubuntu 16.04.3 LTS

One interesting thing I noticed is that if you set rotation in "All Settings"->"Screen Display" to "Clockwise", "Anti-clockwise" or "180 degrees" (just not "Normal"), this issue disappeared.

This my workaround currently.

Dont know if this helps.

Cheers

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Wei Cai, to track your issue and hardware, it will help immensely if you use the computer the problem is reproducible with, file a new report with Ubuntu by first ensuring the package xdiagnose is installed, click the Yes button for attaching additional debugging information after running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Stephan Fabel:
1) Could you please attach a screenshot or screencast of the flickering via https://help.ubuntu.com/community/Screencast ?
2) Could you please cross post this issue upstream to DisplayLink Support following their guide at http://support.displaylink.com/knowledgebase/articles/757047-how-can-i-report-ubuntu-issues-to-displaylink ? While it may end up being root caused to a Ubuntu issue, more eyes on the problem wouldn't hurt here.

Changed in xorg (Ubuntu):
status: Triaged → Incomplete
summary: - Mouse cursor flickers when using external DisplayLink monitor
+ [Dell XPS 13 9360] Mouse cursor flickers with one external monitor
+ connected via HDMI+Wavlink WL-UG39DK1V
Revision history for this message
Travis Brace (travisbrace) wrote :

I'm having the same issue as well. With three screens the mouse has a glitch where it's like part of the screen makes a box around it. It almost seems to happen on interactions.. It's very noticable moving over tabs on a browser window.

I'm not sure if the same effect would happen with two video cards two monitors share the 1050ti with the Nvidia drivers installed. I did get the latest display link drivers installed.

If there's any information from my computer I can supply please let me know.

Thanks for the help!!

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Travis Brace, it will help immensely if you use the computer the problem is reproducible with, file a new report with Ubuntu by first ensuring the package xdiagnose is installed, click the Yes button for attaching additional debugging information after running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

tags: added: potential-workaround
Revision history for this message
Stephan Fabel (sfabel) wrote :

Here's the link to the DisplayLink Forum post:
https://displaylink.org/forum/showthread.php?p=84713#post84713

I created a screen capture, but wouldn't you know: on the generated MP4 (using Kazam) the flicker is not visible, despite the mouse flickering constantly throughout the recording of the screencast.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Stephan Fabel, to see if a WORKAROUND exists, could you please test the following and advise if the flickering still occurs:
In the GUI go to All Settings > Screen Display > for the primary monitor change Rotation from Normal to any of the following:
Clockwise
Anti-clockwise
180 degrees

description: updated
Revision history for this message
Stephan Fabel (sfabel) wrote :

When I changed the rotation, the mouse cursor was visible throughout the 30 seconds it remained in that configuration. Before an after, the cursor was not visible at all on the primary screen.

description: updated
tags: removed: potential-workaround
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Stephan Fabel, regarding the screencast not working, could you please provide a camera picture of the screen?

Revision history for this message
Stephan Fabel (sfabel) wrote :
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Original reporter's video of the issue.

description: updated
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Stephan Fabel, to further root cause, could you login to a "GNOME Flashback (Metacity)" session (not a compiz-based or Unity session) via https://launchpad.net/ubuntu/+source/gnome-flashback and advise if the flickering persists?

Revision history for this message
Stephan Fabel (sfabel) wrote :

I can confirm that the issue is gone completely using the "GNOME Flashback (Metacity)" session.

description: updated
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Stephan Fabel, while I wouldn't say this is fully root caused, due to how debugging GUI stuff is not my focus, I'll mark this Triaged for now. However, given Ubuntu is moving away from Unity going forward as per https://insights.ubuntu.com/2017/04/05/growing-ubuntu-for-cloud-and-iot-rather-than-phone-and-convergence/ you may want to use a GNOME based session going forward to avoid this problem.

Changed in xorg (Ubuntu):
importance: Medium → Low
status: Incomplete → Triaged
Revision history for this message
zwerko (zwerko) wrote :

I can confirm this issue existing on 18.04, too, and it probably doesn't have anything to do with DisplayLink as I'm using a direct HDMI connection via the built-in HDMI port on a Dell XPS 15 9570. The external screen is not hDPI, sporting mere 1920x1080, so to keep the proper scaling on both I utilize xrandr to double the frame buffer and then rescale it back for the external screen, i.e.:

xrandr --fb 7680x2160 &&
xrandr --output eDP-1 --mode 3840x2160 --rate 60 --primary &&
xrandr --output DP-3 --mode 1920x1080 --scale-from 3840x2160 --panning 3840x2160+3840+0 --right-of eDP-1 &&
gsettings set org.gnome.desktop.interface scaling-factor 2

But even without the scaling the cursor will flicker, just not to the same extent as when scaling is applied (subjective). The flickering happens only in the upper half of the main screen, too.

Disconnecting the external screen fixes the issue.

Revision history for this message
adin (adin-rivera) wrote :

I have the same issue on Ubuntu 18.04.1 LTS (kernel 4.15.0-38-generic) connected with DisplayLink (driver 4.4.24). I'm connecting through Display port on a Dell Inspiron 15, and a docker D6000.

The flicker occurs only on the laptop's monitor, and the external monitors seem fine. No flicker whatsoever.

As similar reports, when the docker is disconnected the flicker stops.

affects: xorg (Ubuntu) → xorg-server (Ubuntu)
tags: removed: artful zesty
Revision history for this message
toabm (toabm) wrote :

Same issue here. I have a brand new Dell 7300 using Ubuntu 18.04, and when I use my Asus MB16AC monitor using the USB connection with the displaylink driver, the mice pointer starts to flicker and move around. It can be used but it is very annoying. Can't find the cause. On my old computer, a Toshiba Satellite with Ubuntu 18.04 it worked just fine....:(

Revision history for this message
Quoc Khanh Le (qkle) wrote :

I experienced the same issue on my Dell XPS 13 (9350) running Kubuntu 18.10 (4.18.0-25-generic), KDE Plasma 5.13.5. My laptop was connected to the 2nd monitor using the VGA port on the Dell 4-in-1 adapter with the DisplayLink driver 5.2.14

I followed the comment in this link (https://github.com/DisplayLink/evdi/issues/29#issuecomment-479529359) and mannually added /usr/share/X11/xorg.conf.d/21-displaylink.conf file with the content below:

Section "Device"
  Identifier "DisplayLink"
  Driver "modesetting"
  Option "PageFlip" "false"
EndSection

After rebooting, the mouse no longer flickers when connecting to the 2nd monitor using the DisplayLink adapater so it could be a solution for this problem.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Stephan Fabel, could you please advise to all of the following:

1) Has the issue been tested with using the latest DisplayLink driver (now 5.2.14)?

2) To see if this is already resolved in Ubuntu, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

3) Would the following WORKAROUND work with your environment following https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1724307/comments/24 ?

Changed in xorg-server (Ubuntu):
status: Triaged → Incomplete
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Quoc Khanh Le (qkle), it will help immensely if you use Ubuntu with the computer the problem is reproducible with and file a new report via a terminal to provide necessary debugging logs:
ubuntu-bug linux

Please feel free to subscribe me to it.

Revision history for this message
Quoc Khanh Le (qkle) wrote :

Christopher M.Penalver (penalvch), just filed a new report and subscribed you to it.

Cheers,

Revision history for this message
Stephan Fabel (sfabel) wrote : Re: [Bug 1724307] Re: [Dell XPS 13 9360] Mouse cursor flickers with one external monitor connected via HDMI+Wavlink WL-UG39DK1V

I have since moved on from the DELL XPS 13 and am unable to provide you
with the answers to your questions.

On Wed, Jul 24, 2019 at 10:30 AM Christopher M. Penalver <
<email address hidden>> wrote:

> Stephan Fabel, could you please advise to all of the following:
>
> 1) Has the issue been tested with using the latest DisplayLink driver
> (now 5.2.14)?
>
> 2) To see if this is already resolved in Ubuntu, could you please test
> http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?
>
> 3) Would the following WORKAROUND work with your environment following
> https://bugs.launchpad.net/ubuntu/+source/xorg-
> server/+bug/1724307/comments/24 ?
>
> ** Changed in: xorg-server (Ubuntu)
> Status: Triaged => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1724307
>
> Title:
> [Dell XPS 13 9360] Mouse cursor flickers with one external monitor
> connected via HDMI+Wavlink WL-UG39DK1V
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1724307/+subscriptions
>

Revision history for this message
Joanna Henzel (joannhen) wrote :

[Problem fixed]

Hello,

I used to have this same problem with the flickering mouse cursor on the main display.

The solution which Quoc Khanh Le (qkle) mentioned in this comment: https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1724307/comments/24 worked for me!

I use a laptop Dell Inspiron 7559 with Ubuntu 18.04. My kernel is 4.15.0-55-generic.

Using DisplayLink (Dell Docking Station D3100) I have connected 2 external monitors.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Stephan Fabel, this report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1724307/comments/28 regarding you no longer use the hardware. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in xorg-server (Ubuntu):
importance: Low → Undecided
status: Incomplete → Invalid
Revision history for this message
gtt (georgettalbot) wrote :

Note that I got this to stop happening by switching to the Wayland compositor.

Revision history for this message
gtt (georgettalbot) wrote :

(The default configuration is Ubuntu vs. Ubuntu + Wayland.)

Revision history for this message
gtt (georgettalbot) wrote :

(I might also add that the computer feels *way* more responsive and snappy with this change.)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.